Bug 33852 - QC0327 - uncaught failed umount exception handler problem
Summary: QC0327 - uncaught failed umount exception handler problem
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-29 14:44 UTC by R P Herrold
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 20:16:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
umount error traceback (1.06 KB, text/plain)
2001-03-29 14:45 UTC, R P Herrold
no flags Details

Description R P Herrold 2001-03-29 14:44:29 UTC
Doing an install with QA0327 -- it was perhaps 70 % along on file transfer
-- and ready for the CD swap.

VC4 showed some retries in reading the CD but nothing major.

Something in the retry logic maybe left the mount in use, and it failed --
anaconda traceback in a minute.

This should be caught, and a more graceful handler routing used.

Comment 1 R P Herrold 2001-03-29 14:45:15 UTC
Created attachment 14107 [details]
umount error traceback

Comment 2 Brent Fox 2001-03-29 21:32:41 UTC
Looks similar to bug #25449.  Did you go to VC2 and cd into /mnt/source directories?

Comment 3 R P Herrold 2001-03-30 02:08:46 UTC
No -=- I had not changed directories at all; I may have done A-F3, then A-F3, 
and A-F4 to VC 4 -- of course, A-F4 does not permit any console type action ... 
The SCSI retry views were all that was unusual which I saw. --

Note that it HAD displayed the 'read error' pop box ... I hit the Retry option, 
and it proceeded -- probably 3 times -- but perhaps anaconda is doing a CWD in 
the event of retries, and is not doing a 'cd /' the error pop box ???

Comment 4 Michael Fulbright 2001-04-02 15:08:04 UTC
Erik could you look at this?

Comment 5 Erik Troan 2001-04-03 16:41:25 UTC
Herrold, can you reproduce this?

Comment 6 R P Herrold 2001-04-03 18:08:04 UTC
Possibly -- will test --- It will be tricky -- it is after read error retry box
appearances that it was in this state -- I'll experiment.

My QA0327 CD's are not at office -- I'll try to reproduce with QA0401


Note You need to log in before you can comment on or make changes to this bug.